<template lang="html">
  <div class="dashboard-game-header">
    <div class="dashboard-game-header-content-container">
      <div class="dashboard-game-header-content">
        <div class="title-container">
          <h1 class="title">{{ title }}</h1>
          <div class="privacy-container">
            <img class="privacy-icon"
              :src="iconFromPrivacy(privacy)">
            <span>{{ privacy }}</span>
          </div>
        </div>
        <div class="actions-container">
          <div class="edit-btn-container">
            <button class="edit-btn"
              v-on:click="navigateToEdit()">{{ label.EDIT }}</button>
          </div>
          <div class="view-preview-btn-container">
            <button class="view-preview-btn"
              v-on:click="navigateToGame()">{{ label.VIEW_PREVIEW }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { iconFromPrivacy } from '~/utils/imageUtil'

export default {
  name: 'ep-dashboard-game-header',
  props: {
    gid: String,
    title: String,
    privacy: String
  },
  data () {
    return {
      label: {
        EDIT: 'Edit',
        VIEW_PREVIEW: 'Show Preview'
      }
    }
  },
  methods: {
    iconFromPrivacy (privacy) {
      return iconFromPrivacy(privacy)
    },
    navigateToGame () {
      this.$router.push({
        name: 'game-gid',
        params: { gid: this.gid }
      })
    },
    navigateToEdit () {
      this.$router.push({
        name: 'dashboard-game-gid-edit',
        params: { gid: this.gid }
      })
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/input';
@import '~assets/styles/theme';

$icon-size: 12px;

.dashboard-game-header {
  display: block;

  &-content-container {
    display: inline;
    list-style: none;
  }

  &-content {
    display: block;
    margin: 0;
    padding-top: 16px;
    padding-bottom: 16px;
    border-top: none;
    border-right: none;
    border-left: none;
    background: #fff;
    //border: 1px solid #dcdcdc;
    overflow: auto;
    position: relative;
    border-radius: 2px;
    box-sizing: border-box;
  }

  h1, h2, h3 {
    color: $text-color;
    font-weight: normal;
    margin: 0;
  }
}

.title-container {
  position: relative;
  word-wrap: break-word;
  margin-bottom: 8px;

  .title {
    font-size: 18px;
    margin-right: 84px;
  }
}

.privacy-container {
  position: absolute;
  top: 0;
  right: 0;
  border: 0;
  line-height: 16px;
  height: 16px;
  font-size: 12px;
  text-decoration: none;
  color: $dark-gray;

  .privacy-icon {
    width: $icon-size;
    height: $icon-size;
  }
}

.edit-btn {
  font-size: 18px;
  font-weight: bold;
  border: none;
  padding: 8px 16px;
  color: #fff;
  border-radius: 2px;
  text-decoration: none;
  background-color: $gray;
}

.edit-btn-container, .view-preview-btn-container {
  display: inline-block;
}

.view-preview-btn-container {
  float: right;
}

.view-preview-btn {
  @extend .edit-btn;
}
</style>
